您现在的位置: 万盛学电脑网 >> 操作系统 >> Linux教程 >> 正文

CentOS版本过低安装不了Chrome怎么办?

作者:佚名    责任编辑:admin    更新时间:    2015-10-13 15:34:18

  Chrome浏览器使用的人还是挺多的,但在CentOS系统中,由于版本太低,可能造成Chrome浏览器无法安装,遇到这个问题该怎么办呢?其实可以使用Chromium浏览器,同样是谷歌开发的浏览器,下面小编就给大家详细介绍下吧。

 CentOS版本过低安装不了Chrome怎么办?

  1.由于Cent OS内核版本过低,无法安装Chrome浏览器

  2.替代方案:可以使用Chromium浏览器

  安装Google源

  cd /etc/yum.repos.d/

  sudo wget http://people.CentOS.org/hughesjr/chromium/6/chromium-el6.repo

  安装Chromium

  sudo yum install chromium

  # 安装后位于 /opt/chromium-browser

  安装Flash插件

  # 1. 下载Adobe官方Flash插件

  # 64位

  sudo wget http://fpdownload.macromedia.com/get/flashplayer/pdc/11.2.202.378/install_flash_player_11_linux.x86_64.tar.gz

  # 32位

  sudo wget http://fpdownload.macromedia.com/get/flashplayer/pdc/11.2.202.378/install_flash_player_11_linux.i386.tar.gz

  # 2. 解压Flash插件,将会有libflashplayer.so,usr文件和文件夹

  sudo tar zxvf install_flash_player_11_linux.xxx.tar.gz

  sudo cp -r usr/* /usr

  sudo rm -rf usr

  # 3. 下载Chrome浏览器

  # 64位

  sudo wget https://dl.google.com/linux/direct/google-chrome-stable_current_x86_64.rpm

  # 32位

  sudo wget https://dl.google.com/linux/direct/google-chrome-stable_current_i386.rpm

  # 4. 解压Chrome浏览器,将会有etc,opt,usr三个文件夹

  sudo rpm2cpio google-chrome-stable_current_xxx.rpm | cpio -div

  # 5. 替换Chrome中的Flash插件

  sudo rm -rf opt/google/chrome/PepperFlash/libpepflashplayer.so

  sudo cp -r libflashplayer.so opt/google/chrome/PepperFlash/libpepflashplayer.so

  # 6. 增加Chromium的Flash插件

  sudo mv opt/google/chrome/PepperFlash /opt/chromium-browser/

  sudo chown root:root -R /opt/chromium-browser/PepperFlash

  sudo chmod +x -R /opt/chromium-browser/PepperFlash

  上面就是CentOS无法安装chrome浏览器的解决方法了,Chromium和chrome浏览器都是谷歌的产品,其内核是一样的,它们只是开源和不开源的区别。